Commit f18dcd38eb2cc6c8aba0e28d5424445cd67b4172
1 parent
813d89a9
no message
Showing
4 changed files
with
42 additions
and
35 deletions
CNLiveBalanceModule.podspec
| @@ -84,13 +84,6 @@ TODO: 网家家-余额模块. | @@ -84,13 +84,6 @@ TODO: 网家家-余额模块. | ||
| 84 | ss.dependency 'CNLiveBalanceModule/View' | 84 | ss.dependency 'CNLiveBalanceModule/View' |
| 85 | end | 85 | end |
| 86 | 86 | ||
| 87 | -# # MonthBill 月账单 | ||
| 88 | -# s.subspec 'MonthBill' do |ss| | ||
| 89 | -# ss.source_files = 'CNLiveBalanceModule/Classes/MonthBill/*.{h,m}' | ||
| 90 | -# ss.dependency 'CNLiveBalanceModule/TradingRecord' | ||
| 91 | -# ss.dependency 'CNLiveBalanceModule/View' | ||
| 92 | -# end | ||
| 93 | - | ||
| 94 | s.resource_bundles = { | 87 | s.resource_bundles = { |
| 95 | 'CNLiveBalanceModule' => ['CNLiveBalanceModule/Assets/CNLiveBalanceModule.xcassets'] | 88 | 'CNLiveBalanceModule' => ['CNLiveBalanceModule/Assets/CNLiveBalanceModule.xcassets'] |
| 96 | } | 89 | } |
CNLiveBalanceModule/Classes/TradingRecord/CNLiveMonthBillController.m
| @@ -64,9 +64,10 @@ static const CGFloat height = 60; | @@ -64,9 +64,10 @@ static const CGFloat height = 60; | ||
| 64 | if (error) { | 64 | if (error) { |
| 65 | [self.data removeAllObjects]; | 65 | [self.data removeAllObjects]; |
| 66 | [self.tableView reloadData]; | 66 | [self.tableView reloadData]; |
| 67 | - [self showEmptyViewWithImage:[UIImage imageNamed:@"wufalianjie"] text:error.localizedDescription detailText:@"别紧张,试试看刷新页面~" buttonTitle:@" 重试 " buttonAction:@selector(loadData)]; | ||
| 68 | - [self setCNAPIErrorEmptyView]; | ||
| 69 | - self.emptyView.verticalOffset = -(NavigationContentTop+height); | 67 | + [self.tableView showEmptyViewWithType:CNLiveCustomTipsTypeLoadFail noData:self.data.count == 0 block:^{ |
| 68 | + [self.tableView.mj_header beginRefreshing]; | ||
| 69 | + }]; | ||
| 70 | + self.tableView.emptyView.top = 0; | ||
| 70 | return; | 71 | return; |
| 71 | } | 72 | } |
| 72 | 73 | ||
| @@ -76,6 +77,8 @@ static const CGFloat height = 60; | @@ -76,6 +77,8 @@ static const CGFloat height = 60; | ||
| 76 | [self.data removeAllObjects]; | 77 | [self.data removeAllObjects]; |
| 77 | } | 78 | } |
| 78 | [self.data addObjectsFromArray:model.list]; | 79 | [self.data addObjectsFromArray:model.list]; |
| 80 | + [self.tableView showEmptyViewWithType:CNLiveCustomTipsTypeNoData noData:self.data.count == 0 block:nil]; | ||
| 81 | + self.tableView.emptyView.top = 0; | ||
| 79 | [self.tableView reloadData]; | 82 | [self.tableView reloadData]; |
| 80 | } | 83 | } |
| 81 | }]; | 84 | }]; |
CNLiveBalanceModule/Classes/TradingRecord/CNLiveTradingRecordController.m
| @@ -72,9 +72,10 @@ static const CGFloat height = 80; | @@ -72,9 +72,10 @@ static const CGFloat height = 80; | ||
| 72 | if (error) { | 72 | if (error) { |
| 73 | [self.data removeAllObjects]; | 73 | [self.data removeAllObjects]; |
| 74 | [self.tableView reloadData]; | 74 | [self.tableView reloadData]; |
| 75 | - [self showEmptyViewWithImage:[UIImage imageNamed:@"wufalianjie"] text:error.localizedDescription detailText:@"别紧张,试试看刷新页面~" buttonTitle:@" 重试 " buttonAction:@selector(loadData)]; | ||
| 76 | - [self setCNAPIErrorEmptyView]; | ||
| 77 | - self.emptyView.verticalOffset = -(NavigationContentTop+height); | 75 | + [self.tableView showEmptyViewWithType:CNLiveCustomTipsTypeLoadFail noData:self.data.count == 0 block:^{ |
| 76 | + [self.tableView.mj_header beginRefreshing]; | ||
| 77 | + }]; | ||
| 78 | + self.tableView.emptyView.top = 0; | ||
| 78 | return; | 79 | return; |
| 79 | } | 80 | } |
| 80 | 81 | ||
| @@ -84,6 +85,16 @@ static const CGFloat height = 80; | @@ -84,6 +85,16 @@ static const CGFloat height = 80; | ||
| 84 | [self.data removeAllObjects]; | 85 | [self.data removeAllObjects]; |
| 85 | } | 86 | } |
| 86 | [self.data addObjectsFromArray:self.type == TradingRecordTypeDefault?model.list:model.transferRecordList]; | 87 | [self.data addObjectsFromArray:self.type == TradingRecordTypeDefault?model.list:model.transferRecordList]; |
| 88 | +// UIImage *image = [self getImageWithImageName:@"cnlive_no_data" bundleName:@"CNLiveCategory" targetClass:[CNLiveEmptyView class]]; | ||
| 89 | +// [self.tableView showEmptyViewWithImage:image text:@"加载失败" buttonText:@"重新加载" noData:self.data.count == 0 block:^{ | ||
| 90 | +// [self.tableView.mj_header beginRefreshing]; | ||
| 91 | +// | ||
| 92 | +// }]; | ||
| 93 | + [self.tableView showEmptyViewWithType:CNLiveCustomTipsTypeNoData noData:self.data.count == 0 block:^{ | ||
| 94 | + [self.tableView.mj_header beginRefreshing]; | ||
| 95 | + | ||
| 96 | + }]; | ||
| 97 | + self.tableView.emptyView.top = 0; | ||
| 87 | 98 | ||
| 88 | self.tradingRecordView.model = model; | 99 | self.tradingRecordView.model = model; |
| 89 | [self.tableView reloadData]; | 100 | [self.tableView reloadData]; |
| @@ -114,7 +125,7 @@ static const CGFloat height = 80; | @@ -114,7 +125,7 @@ static const CGFloat height = 80; | ||
| 114 | self.startTime = self.startTime?self.startTime:times.firstObject; | 125 | self.startTime = self.startTime?self.startTime:times.firstObject; |
| 115 | self.endTime = self.endTime?self.endTime:times.lastObject; | 126 | self.endTime = self.endTime?self.endTime:times.lastObject; |
| 116 | self.pageNo = 1; | 127 | self.pageNo = 1; |
| 117 | - | 128 | + |
| 118 | [self.tableView.mj_header beginRefreshing]; | 129 | [self.tableView.mj_header beginRefreshing]; |
| 119 | 130 | ||
| 120 | } | 131 | } |
Example/CNLiveBalanceModule.xcodeproj/project.pbxproj
| @@ -207,8 +207,8 @@ | @@ -207,8 +207,8 @@ | ||
| 207 | 6003F586195388D20070C39A /* Sources */, | 207 | 6003F586195388D20070C39A /* Sources */, |
| 208 | 6003F587195388D20070C39A /* Frameworks */, | 208 | 6003F587195388D20070C39A /* Frameworks */, |
| 209 | 6003F588195388D20070C39A /* Resources */, | 209 | 6003F588195388D20070C39A /* Resources */, |
| 210 | - D9364C82DD0EE796AF7084A4 /* [CP] Embed Pods Frameworks */, | ||
| 211 | - B59B86F4A5A6E47AECF4CE6F /* [CP] Copy Pods Resources */, | 210 | + 3A0063CF6C529372DB2CB00A /* [CP] Embed Pods Frameworks */, |
| 211 | + 562D30DC483DBD077FFE17EC /* [CP] Copy Pods Resources */, | ||
| 212 | ); | 212 | ); |
| 213 | buildRules = ( | 213 | buildRules = ( |
| 214 | ); | 214 | ); |
| @@ -321,25 +321,7 @@ | @@ -321,25 +321,7 @@ | ||
| 321 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | 321 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; |
| 322 | showEnvVarsInLog = 0; | 322 | showEnvVarsInLog = 0; |
| 323 | }; | 323 | }; |
| 324 | - B59B86F4A5A6E47AECF4CE6F /* [CP] Copy Pods Resources */ = { | ||
| 325 | - isa = PBXShellScriptBuildPhase; | ||
| 326 | - buildActionMask = 2147483647; | ||
| 327 | - files = ( | ||
| 328 | - ); | ||
| 329 | - inputPaths = ( | ||
| 330 | - "${PODS_ROOT}/Target Support Files/Pods-CNLiveBalanceModule_Example/Pods-CNLiveBalanceModule_Example-resources.sh", | ||
| 331 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBalanceModule/CNLiveBalanceModule.bundle", | ||
| 332 | - ); | ||
| 333 | - name = "[CP] Copy Pods Resources"; | ||
| 334 | - outputPaths = ( | ||
| 335 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBalanceModule.bundle", | ||
| 336 | - ); | ||
| 337 | - runOnlyForDeploymentPostprocessing = 0; | ||
| 338 | - shellPath = /bin/sh; | ||
| 339 | - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBalanceModule_Example/Pods-CNLiveBalanceModule_Example-resources.sh\"\n"; | ||
| 340 | - showEnvVarsInLog = 0; | ||
| 341 | - }; | ||
| 342 | - D9364C82DD0EE796AF7084A4 /* [CP] Embed Pods Frameworks */ = { | 324 | + 3A0063CF6C529372DB2CB00A /* [CP] Embed Pods Frameworks */ = { |
| 343 | isa = PBXShellScriptBuildPhase; | 325 | isa = PBXShellScriptBuildPhase; |
| 344 | buildActionMask = 2147483647; | 326 | buildActionMask = 2147483647; |
| 345 | files = ( | 327 | files = ( |
| @@ -395,6 +377,24 @@ | @@ -395,6 +377,24 @@ | ||
| 395 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBalanceModule_Example/Pods-CNLiveBalanceModule_Example-frameworks.sh\"\n"; | 377 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBalanceModule_Example/Pods-CNLiveBalanceModule_Example-frameworks.sh\"\n"; |
| 396 | showEnvVarsInLog = 0; | 378 | showEnvVarsInLog = 0; |
| 397 | }; | 379 | }; |
| 380 | + 562D30DC483DBD077FFE17EC /* [CP] Copy Pods Resources */ = { | ||
| 381 | + isa = PBXShellScriptBuildPhase; | ||
| 382 | + buildActionMask = 2147483647; | ||
| 383 | + files = ( | ||
| 384 | + ); | ||
| 385 | + inputPaths = ( | ||
| 386 | + "${PODS_ROOT}/Target Support Files/Pods-CNLiveBalanceModule_Example/Pods-CNLiveBalanceModule_Example-resources.sh", | ||
| 387 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBalanceModule/CNLiveBalanceModule.bundle", | ||
| 388 | + ); | ||
| 389 | + name = "[CP] Copy Pods Resources"; | ||
| 390 | + outputPaths = ( | ||
| 391 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBalanceModule.bundle", | ||
| 392 | + ); | ||
| 393 | + runOnlyForDeploymentPostprocessing = 0; | ||
| 394 | + shellPath = /bin/sh; | ||
| 395 | + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBalanceModule_Example/Pods-CNLiveBalanceModule_Example-resources.sh\"\n"; | ||
| 396 | + showEnvVarsInLog = 0; | ||
| 397 | + }; | ||
| 398 | E8746ACFF48907801CC338D9 /* [CP] Check Pods Manifest.lock */ = { | 398 | E8746ACFF48907801CC338D9 /* [CP] Check Pods Manifest.lock */ = { |
| 399 | isa = PBXShellScriptBuildPhase; | 399 | isa = PBXShellScriptBuildPhase; |
| 400 | buildActionMask = 2147483647; | 400 | buildActionMask = 2147483647; |